aboutsummaryrefslogtreecommitdiff
path: root/straper/db/public/boot/etc-kernel/postinst.d
diff options
context:
space:
mode:
Diffstat (limited to 'straper/db/public/boot/etc-kernel/postinst.d')
-rwxr-xr-xstraper/db/public/boot/etc-kernel/postinst.d/dkms8
-rwxr-xr-xstraper/db/public/boot/etc-kernel/postinst.d/initramfs-tools39
-rwxr-xr-xstraper/db/public/boot/etc-kernel/postinst.d/unattended-upgrades13
-rwxr-xr-xstraper/db/public/boot/etc-kernel/postinst.d/zz-update-grub26
4 files changed, 86 insertions, 0 deletions
diff --git a/straper/db/public/boot/etc-kernel/postinst.d/dkms b/straper/db/public/boot/etc-kernel/postinst.d/dkms
new file mode 100755
index 0000000..8dd7b89
--- /dev/null
+++ b/straper/db/public/boot/etc-kernel/postinst.d/dkms
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+# We're passed the version of the kernel being installed
+inst_kern=$1
+
+if [ -x /usr/lib/dkms/dkms_autoinstaller ]; then
+ exec /usr/lib/dkms/dkms_autoinstaller start "$inst_kern"
+fi
diff --git a/straper/db/public/boot/etc-kernel/postinst.d/initramfs-tools b/straper/db/public/boot/etc-kernel/postinst.d/initramfs-tools
new file mode 100755
index 0000000..589803a
--- /dev/null
+++ b/straper/db/public/boot/etc-kernel/postinst.d/initramfs-tools
@@ -0,0 +1,39 @@
+#!/bin/sh
+set -e
+
+version="$1"
+bootopt=""
+
+command -v update-initramfs >/dev/null 2>&1 || exit 0
+
+test "$(update-initramfs --version | cut -d ' ' -f 1)" = initramfs-tools || exit 0
+
+# passing the kernel version is required
+if [ -z "${version}" ]; then
+ echo >&2 "W: initramfs-tools: ${DPKG_MAINTSCRIPT_PACKAGE:-kernel package} did not pass a version number"
+ exit 2
+fi
+
+# exit if kernel does not need an initramfs
+if [ "$INITRD" = 'No' ]; then
+ exit 0
+fi
+
+# absolute file name of kernel image may be passed as a second argument;
+# create the initrd in the same directory
+if [ -n "$2" ]; then
+ bootdir=$(dirname "$2")
+ bootopt="-b ${bootdir}"
+fi
+
+# avoid running multiple times
+if [ -n "$DEB_MAINT_PARAMS" ]; then
+ eval set -- "$DEB_MAINT_PARAMS"
+ if [ -z "$1" ] || [ "$1" != "configure" ]; then
+ exit 0
+ fi
+fi
+
+# we're good - create initramfs. update runs do_bootloader
+# shellcheck disable=SC2086
+update-initramfs -c -k "${version}" ${bootopt} >&2
diff --git a/straper/db/public/boot/etc-kernel/postinst.d/unattended-upgrades b/straper/db/public/boot/etc-kernel/postinst.d/unattended-upgrades
new file mode 100755
index 0000000..3f54dea
--- /dev/null
+++ b/straper/db/public/boot/etc-kernel/postinst.d/unattended-upgrades
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+case "$DPKG_MAINTSCRIPT_PACKAGE::$DPKG_MAINTSCRIPT_NAME" in
+ linux-image-extra*::postrm)
+ exit 0;;
+esac
+
+if [ -d /var/run ]; then
+ touch /var/run/reboot-required
+ if ! grep -q "^$DPKG_MAINTSCRIPT_PACKAGE$" /var/run/reboot-required.pkgs 2> /dev/null ; then
+ echo "$DPKG_MAINTSCRIPT_PACKAGE" >> /var/run/reboot-required.pkgs
+ fi
+fi
diff --git a/straper/db/public/boot/etc-kernel/postinst.d/zz-update-grub b/straper/db/public/boot/etc-kernel/postinst.d/zz-update-grub
new file mode 100755
index 0000000..9521057
--- /dev/null
+++ b/straper/db/public/boot/etc-kernel/postinst.d/zz-update-grub
@@ -0,0 +1,26 @@
+#! /bin/sh
+set -e
+
+command -v update-grub >/dev/null || exit 0
+
+if type systemd-detect-virt >/dev/null 2>&1 &&
+ systemd-detect-virt --quiet --container; then
+ exit 0
+fi
+
+set -- $DEB_MAINT_PARAMS
+mode="${1#\'}"
+mode="${mode%\'}"
+case $0:$mode in
+ # Only run on postinst configure and postrm remove, to avoid wasting
+ # time by calling update-grub multiple times on upgrade and removal.
+ # Also run if we have no DEB_MAINT_PARAMS, in order to work with old
+ # kernel packages.
+ */postinst.d/*:|*/postinst.d/*:configure|*/postrm.d/*:|*/postrm.d/*:remove)
+ if [ -e /boot/grub/grub.cfg ]; then
+ exec update-grub
+ fi
+ ;;
+esac
+
+exit 0